メインコンテンツまでスキップ

グローバルクラスターの説明 (V2)

Returns base topology and connection information for a Global Cluster. Replication lag is intentionally excluded from this endpoint.

GET/v2/globalClusters/{globalClusterId}
接続エンドポイント

https://api.cloud.zilliz.com

shell
export BASE_URL="https://api.cloud.zilliz.com"
パラメータ
Authorizationstringheader必要

認証トークンは、適切な権限を持つ API キーである必要があります。

値の例: Bearer {{TOKEN}}
globalClusterIdstringpath必要

記述する Global Cluster の ID。

値の例: glo-xxxxxxxxxxxxxxx
bash
export TOKEN="YOUR_API_KEY"
export globalClusterId="glo-xxxxxxxxxxxxxxx"

curl --request GET \
--url "${BASE_URL}/v2/globalClusters/${globalClusterId}" \
--header "Authorization: Bearer ${TOKEN}" \
--header "Request-Timeout: 5" \
--header "Content-Type: application/json"
レスポンス

Global Cluster に関する情報を返します。

globalClusterIdstring

Global Cluster ID。

値の例: glo-xxxxxxxxxxxxxxx
globalClusterNamestring

Global Cluster の表示名。

値の例: my-global-cluster
projectIdstring

Project ID。

値の例: proj-xxxxxxxxxxxxxxx
regionIdsarray

メンバークラスターの Region ID。値はメンバーの順序を保持し、重複排除はされません。

[]regionIdsstring
(近日追加予定)
値の例: aws-us-west-2
cuTypestring

メンバークラスター間で共有される CU type。

値の例: Performance-optimized
cuSizeinteger

メンバークラスター間で共有される CU size。

値の例: 4
connectAddressstring

グローバルエンドポイントアドレス。

値の例: https://glo-xxxxxxxx.global-cluster.vectordb.zillizcloud.com
createTimestring<date-time>

ISO 8601 形式の作成時刻。

値の例: 2026-06-04T10:00:00Z
clustersarray

Global Cluster 内のメンバークラスター。

[]clustersobject
clusterIdstring

メンバークラスター ID。

値の例: in01-xxxxxxxxxxxxxxx
clusterNamestring

メンバークラスター名。

値の例: primary-cluster
regionIdstring

メンバークラスターがデプロイされている Region ID。

値の例: aws-us-west-2
rolestring

メンバーロール。

値の例: PRIMARY
statusstring

メンバークラスターのステータス。

値の例: RUNNING

エラーメッセージを返します。

codeinteger

レスポンスコード。

値の例: 400
messagestring

エラーメッセージ。

値の例: Invalid request parameters.
Ctrl I